/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.behance.sdk;

/**
 * @author ugs
 * 
 */
public interface IBehanceSDKUserCredentials {

	/**
	 * Returns the client ID for the application.
	 * 
	 * @return client ID for the application
	 */
	public String getClientId();

	/**
	 * Returns the Behance Account ID for the user.
	 * Used for publish components
	 */
	public String getUserBehanceAccountId();

	/**
	 * Returns the Adobe Account ID for the user.
	 * Used for profile components
	 */
	public String getUserAdobeAccountId();

}
