/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.behance.sdk.asynctask.params;

import android.security.keystore.UserNotAuthenticatedException;

import com.behance.sdk.exception.BehanceSDKUserNotAuthenticatedException;
import com.behance.sdk.managers.BehanceSDKUserManager;

/**
 * @author ugs
 * 
 */
public class BehanceSDKAbstractTaskParams {

	private String clientID;

	public void setClientId(String clientID) {
		this.clientID = clientID;
	}
	
	public String getClientId() {
		return clientID;
	}

	private boolean userVerified = true;


	public String getUserAccessToken() throws BehanceSDKUserNotAuthenticatedException {
		BehanceSDKUserManager userManager = BehanceSDKUserManager.getInstance();
		if (userManager.isUserLoggedIn()) {
			return userManager.checkExpiryAndGetAccessToken();
		} else {
			return null;
		}
	}
	public boolean isUserVerified(){
		return userVerified;
	}

	public void setUserVerified(boolean userVerified){
		this.userVerified = userVerified;
	}
}
