/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.asynctask.params;


import com.behance.sdk.enums.BehanceSDKCuratedGalleryType;

public class BehanceSDKGetCuratedGalleryProjectsAsyncTaskParams extends BehanceSDKAbstractTaskParams {

	private static final int DEFAULT_PAGE_SIZE = 24;

	private int pageNumber;
	private int pageSize;
	private int curatedGalleryId;
	private BehanceSDKCuratedGalleryType galleryType;

	public int getPageNumber() {
		return pageNumber;
	}

	public void setPageNumber(int pageNumber) {
		this.pageNumber = pageNumber;
	}

	public int getPageSize() {
		if (pageSize > 0) {
			return pageSize;
		} else {
			return DEFAULT_PAGE_SIZE;
		}
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public int getCuratedGalleryId() {
		return curatedGalleryId;
	}

	public void setCuratedGalleryId(int curatedGalleryId) {
		this.curatedGalleryId = curatedGalleryId;
	}

	public BehanceSDKCuratedGalleryType getGalleryType() {
		return galleryType;
	}

	public void setGalleryType(BehanceSDKCuratedGalleryType galleryType) {
		this.galleryType = galleryType;
	}

}
