package com.behance.sdk.asynctasks;

import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.media.MediaScannerConnection;
import android.net.Uri;
import android.os.AsyncTask;
import android.os.Environment;
import android.support.v7.app.NotificationCompat;

import com.behance.sdk.R;
import com.behance.sdk.asynctask.params.BehanceSDKDownloadAndSaveImageAsyncTaskParams;

import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;

/**
 * Created by forta on 10/9/15.
 */
public class BehanceSDKDownloadAndSaveImageAsyncTask extends AsyncTask<BehanceSDKDownloadAndSaveImageAsyncTaskParams, Void, Void>{

    @Override
    protected Void doInBackground(BehanceSDKDownloadAndSaveImageAsyncTaskParams... params) {
        final Context context = params[0].getContext();
        String url = params[0].getUrl();

        try {
            Bitmap bitmap = BitmapFactory.decodeStream((InputStream)new URL(url).getContent());
            ByteArrayOutputStream bytes = new ByteArrayOutputStream();
            bitmap.compress(Bitmap.CompressFormat.JPEG, 100, bytes);
            final File file = new File(Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DOWNLOADS)
                    + File.separator + "behance_download_" + System.currentTimeMillis() + ".jpg");
            try {
                FileOutputStream fos = new FileOutputStream(file);
                fos.write(bytes.toByteArray());
                fos.close();
                MediaScannerConnection.scanFile(context, new String[]{file.getAbsolutePath()}, null, new MediaScannerConnection.OnScanCompletedListener() {
                    @Override
                    public void onScanCompleted(String path, Uri uri) {
                        Intent intent = new Intent();
                        intent.setAction(Intent.ACTION_VIEW);
                        intent.setDataAndType(Uri.fromFile(file), "image/jpg");

                        PendingIntent pIntent = PendingIntent.getActivity(context, 0, intent, 0);

                        Notification notification = new NotificationCompat.Builder(context)
                                .setContentTitle(context.getString(R.string.bsdk_download_image_notification_success))
                                .setContentText(file.getName())
                                .setSmallIcon(R.drawable.bsdk_icon_notification_publish_progress)
                                .setContentIntent(pIntent).build();

                        notification.flags |= Notification.FLAG_AUTO_CANCEL;

                        NotificationManager notificationManager = (NotificationManager) context.getSystemService(Context.NOTIFICATION_SERVICE);
                        notificationManager.notify(0, notification);
                    }
                });
            } catch (IOException e) {
                e.printStackTrace();
            }

        } catch (IOException e) {
            e.printStackTrace();
        }

        return null;
    }
}
