/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.behance.sdk.asynctasks.result;

import com.behance.sdk.dto.BehanceSDKPublishedProjectDTO;
import com.behance.sdk.project.modules.ProjectModule;

/**
 * @author ugs
 * 
 */
public class BehanceSDKPublishProjectTaskResult {

	public enum PublishStatus {
		SUCCESS, PUBLISH_FAILED, CREATION_FAILED, MODULE_ADD_FAILED, EXCEPTION, CANCELLED
	}

	private PublishStatus status;
	private BehanceSDKPublishedProjectDTO publishedProject;
	private ProjectModule failedProjectModule;
	private Throwable exception;
	private String reasonPhrase;

	public PublishStatus getStatus() {
		return status;
	}

	public void setStatus(PublishStatus status) {
		this.status = status;
	}

	public Throwable getException() {
		return exception;
	}

	public void setException(Throwable exception) {
		this.exception = exception;
	}

	public void setFailedMoudle(ProjectModule projectModule) {
		this.failedProjectModule = projectModule;
	}

	public ProjectModule getFailedMoudle() {
		return this.failedProjectModule;
	}

	public void setReasonPhrase(String reasonPhrase) {
		this.reasonPhrase = reasonPhrase;
	}

	public String getReasonPhrase() {
		return this.reasonPhrase;
	}

	public BehanceSDKPublishedProjectDTO getPublishedProject() {
		return publishedProject;
	}

	public void setPublishedProject(BehanceSDKPublishedProjectDTO publishedProject) {
		this.publishedProject = publishedProject;
	}

}
