/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto;

import android.content.Context;
import android.graphics.Bitmap;

import com.behance.sdk.enums.BehanceSDKAlbumType;
import com.behance.sdk.project.modules.ImageModule;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKAlbumDTO {

	private String albumName;
	private List<ImageModule> imagesList;
	private BehanceSDKAlbumType albumType;

	public BehanceSDKAlbumDTO(String albumName, BehanceSDKAlbumType albumType) {
		this.albumName = albumName;
		if (albumType == null) {
			this.albumType = BehanceSDKAlbumType.DEVICE_ALBUM;
		} else {
			this.albumType = albumType;
		}
	}

	public String getName() {
		return albumName;
	}

	public Bitmap getCoverBitmap(Context context) {
		if (null != imagesList) {
			ImageModule localImage = imagesList.get(0);
			return localImage.getThumbNail(context);
		}
		return null;
	}

	public void addImage(ImageModule localImage) {
		if (null == imagesList) {
			imagesList = new ArrayList<ImageModule>();
		}
		imagesList.add(localImage);
	}
	
	public void setImages(List<ImageModule> value) {
		if (null == imagesList) {
			imagesList = new ArrayList<ImageModule>();
		}
		if (value != null) {
			imagesList.addAll(value);
		}
	}

	public List<ImageModule> getImages() {
		return imagesList;
	}

	public BehanceSDKAlbumType getAlbumType() {
		return albumType;
	}

}