/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.behance.sdk.dto;

import java.io.Serializable;

import com.behance.sdk.enums.BehanceSDKCreativeFieldCategory;

/**
 * @author ugs
 *
 */
public class BehanceSDKCreativeFieldDTO implements Serializable {

	private static final long serialVersionUID = 5332689791475823644L;
	
	public static final String ALL_CREATIVE_FIELDS_ID = "ALL_CREATIVE_FIELDS_ID";

	public static final String ALL_CREATIVE_FIELDS_NAME = "All Creative Fields";
	
	private String id ="";
	
	private String name;
	
	private BehanceSDKCreativeFieldCategory category = BehanceSDKCreativeFieldCategory.NONE;

	public void setId(String id) {
		this.id = id;
		
	}
	public String getId() {
		return this.id;
		
	}
	public void setName(String name) {
		this.name = name;
	}
	
	public String getName() {
		return this.name;
	}
	
	public void setCategory(BehanceSDKCreativeFieldCategory category) {
		this.category = category;
	}
	public BehanceSDKCreativeFieldCategory getCategory() {
		return this.category;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object object) {
		if(this == object ) 
			return true;
		if(null  == object) 
			return false;
		if(getClass() != object.getClass())
			return false;
		BehanceSDKCreativeFieldDTO objCFDTO = (BehanceSDKCreativeFieldDTO) object;
		if(id != null)
		{
			if(false == id.equals(objCFDTO.id))
				return false;
		}else{
			if(objCFDTO.id != null)
				return false;
		}
		if(null != name){
			if(false == name.equals(objCFDTO.name))
				return false;
		}else{
			if(objCFDTO.name != null)
				return false;
		}
		
		if(category != objCFDTO.category){
				return false;
		}
		return true;
	}
}
