/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto;

import java.io.Serializable;
import java.util.List;

import android.app.Activity;

import com.behance.sdk.project.modules.ProjectModule;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKPublishProjectServiceParamsDTO implements Serializable {

	private static final long serialVersionUID = -2119047587175999029L;

	private String appClientId;
	private Class<? extends Activity> notificationHandlerActivity;

	private List<ProjectModule> projectModules;
	private String projectTitle;
	private String projectCreativeFields;
	private String projectTags;
	private String projectDescription;
	private String projectCopyright;
	private byte[] projectCoverImageByteArray;
	private String projectCoverImageFileName;
	private boolean projectContainsAdultContent;
	private String twitterUserAccessToken;
	private String twitterUserAccessTokenSecret;
	private String twitterConsumerKey;
	private String twitterConsumerSecret;
	private boolean shareOnFacebook;
	private boolean shareOnTwitter;

	public String getAppClientId() {
		return appClientId;
	}

	public void setAppClientId(String appClientId) {
		this.appClientId = appClientId;
	}

	public Class<? extends Activity> getNotificationHandlerActivity() {
		return notificationHandlerActivity;
	}

	public void setNotificationHandlerActivity(Class<? extends Activity> notificationHandlerActivity) {
		this.notificationHandlerActivity = notificationHandlerActivity;
	}

	public List<ProjectModule> getProjectModules() {
		return projectModules;
	}

	public void setProjectModules(List<ProjectModule> projectModules) {
		this.projectModules = projectModules;
	}

	public String getProjectTitle() {
		return projectTitle;
	}

	public void setProjectTitle(String projectTitle) {
		this.projectTitle = projectTitle;
	}

	public String getProjectCreativeFields() {
		return projectCreativeFields;
	}

	public void setProjectCreativeFields(String projectCreativeFields) {
		this.projectCreativeFields = projectCreativeFields;
	}

	public String getProjectTags() {
		return projectTags;
	}

	public void setProjectTags(String projectTags) {
		this.projectTags = projectTags;
	}

	public String getProjectDescription() {
		return projectDescription;
	}

	public void setProjectDescription(String projectDescription) {
		this.projectDescription = projectDescription;
	}

	public String getProjectCopyright() {
		return projectCopyright;
	}

	public void setProjectCopyright(String projectCopyright) {
		this.projectCopyright = projectCopyright;
	}

	public boolean isProjectContainsAdultContent() {
		return projectContainsAdultContent;
	}

	public void setProjectContainsAdultContent(boolean projectContainsAdultContent) {
		this.projectContainsAdultContent = projectContainsAdultContent;
	}

	public byte[] getProjectCoverImageByteArray() {
		return projectCoverImageByteArray;
	}

	public void setProjectCoverImageByteArray(byte[] projectCoverImageByteArray) {
		this.projectCoverImageByteArray = projectCoverImageByteArray;
	}

	public String getProjectCoverImageFileName() {
		return projectCoverImageFileName;
	}

	public void setProjectCoverImageFileName(String projectCoverImageFileName) {
		this.projectCoverImageFileName = projectCoverImageFileName;
	}

	public String getTwitterUserAccessToken() {
		return twitterUserAccessToken;
	}

	public void setTwitterUserAccessToken(String twitterUserAccessToken) {
		this.twitterUserAccessToken = twitterUserAccessToken;
	}

	public String getTwitterUserAccessTokenSecret() {
		return twitterUserAccessTokenSecret;
	}

	public void setTwitterUserAccessTokenSecret(String twitterUserAccessTokenSecret) {
		this.twitterUserAccessTokenSecret = twitterUserAccessTokenSecret;
	}

	public String getTwitterConsumerKey() {
		return twitterConsumerKey;
	}

	public void setTwitterConsumerKey(String twitterConsumerKey) {
		this.twitterConsumerKey = twitterConsumerKey;
	}

	public String getTwitterConsumerSecret() {
		return twitterConsumerSecret;
	}

	public void setTwitterConsumerSecret(String twitterConsumerSecret) {
		this.twitterConsumerSecret = twitterConsumerSecret;
	}

	public boolean isShareOnFacebook() {
		return shareOnFacebook;
	}

	public void setShareOnFacebook(boolean shareOnFacebook) {
		this.shareOnFacebook = shareOnFacebook;
	}

	public boolean isShareOnTwitter() {
		return shareOnTwitter;
	}

	public void setShareOnTwitter(boolean shareOnTwitter) {
		this.shareOnTwitter = shareOnTwitter;
	}

}
