/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto;

import java.io.Serializable;

import com.behance.sdk.enums.BehanceSDKPublishProjectProgressState;

/**
 * @author ugs
 * 
 */

public class BehanceSDKPublishProjectStatusDTO implements Serializable {
	
	public static final String INTENT_ACTION_PROJECT_PUBLISH_STATUS_BROADCAST ="com.behance.sdk.INTENT_ACTION_PROJECT_PUBLISH_STATUS_BROADCAST";

	public static final String INTENT_EXTRA_OBJ_KEY_PROJECT_PUBLISH_STATUS_BROADCAST_DATA ="com.behance.sdk.INTENT_EXTRA_OBJ_KEY_PROJECT_PUBLISH_STATUS_BROADCAST_DATA";
	
	
	private static final long serialVersionUID = 8406969591550157485L;

	private BehanceSDKPublishProjectProgressState progressState;
    private String publishRequestId;
    private int progressPercentage;

	private String projectId;
	private String projectTitle;
	private String projectUrl;
    private String projectCoverImageUrl;

	private String reasonPhrase;
	private Throwable exception;

	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}

	public String getProjectTitle() {
		return projectTitle;
	}

	public void setProjectTitle(String projectTitle) {
		this.projectTitle = projectTitle;
	}

	public String getProjectUrl() {
		return projectUrl;
	}

	public void setProjectUrl(String projectUrl) {
		this.projectUrl = projectUrl;
	}

	public BehanceSDKPublishProjectProgressState getProgressState() {
		return progressState;
	}

	public void setProgressState(BehanceSDKPublishProjectProgressState progressState) {
		this.progressState = progressState;
	}

	public void setReasonPhrase(String reasonPhrase) {
		this.reasonPhrase = reasonPhrase;
	}

	public String getReasonPhrase() {
		return this.reasonPhrase;
	}
	
	public Throwable getException() {
		return exception;
	}

	public void setException(Throwable exception) {
		this.exception = exception;
	}

    public String getPublishRequestId() {
        return publishRequestId;
    }

    public void setPublishRequestId(String publishRequestId) {
        this.publishRequestId = publishRequestId;
    }

    public int getProgressPercentage() {
        return progressPercentage;
    }

    public void setProgressPercentage(int progressPercentage) {
        this.progressPercentage = progressPercentage;
    }

    public String getProjectCoverImageUrl() {
        return projectCoverImageUrl;
    }

    public void setProjectCoverImageUrl(String projectCoverImageUrl) {
        this.projectCoverImageUrl = projectCoverImageUrl;
    }
}