/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.behance.sdk.dto;

import java.io.File;
import java.io.Serializable;

import android.app.Activity;

import com.behance.sdk.project.modules.ProjectModule;

/**
 * @author Sujit Reddy G
 * 
 */
public class BehanceSDKPublishWIPServiceParamsDTO implements Serializable {

	private static final long serialVersionUID = 6973446263430164813L;

	private String wipTitle;
	private int wipId;
	private String wipDescription;
	private String wipTags;
	private ProjectModule wipImageFile;
    private boolean containsAdultContent;
	private String appClientId;
	private String twitterUserAccessToken;
	private String twitterUserAccessTokenSecret;
	private String twitterConsumerKey;
	private String twitterConsumerSecret;
	private Class<? extends Activity> notificationHandlerActivity;
	
	private boolean shareOnFacebook;
	private boolean shareOnTwitter;

	public String getWipTitle() {
		return wipTitle;
	}

	public void setWipTitle(String wipTitle) {
		this.wipTitle = wipTitle;
	}

	public int getWipId() {
		return wipId;
	}

	public void setWipId(int wipId) {
		this.wipId = wipId;
	}

	public String getWipDescription() {
		return wipDescription;
	}

	public void setWipDescription(String wipDescription) {
		this.wipDescription = wipDescription;
	}

	public String getWipTags() {
		return wipTags;
	}

	public void setWipTags(String wipTags) {
		this.wipTags = wipTags;
	}

	public String getAppClientId() {
		return appClientId;
	}

	public void setAppClientId(String appClientId) {
		this.appClientId = appClientId;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public ProjectModule getWipImageFile() {
		return wipImageFile;
	}

	public void setWipImageFile(ProjectModule wipImageFile) {
		this.wipImageFile = wipImageFile;
	}

	public Class<? extends Activity> getNotificationHandlerActivity() {
		return notificationHandlerActivity;
	}

	public void setNotificationHandlerActivity(Class<? extends Activity> notificationHandlerActivity) {
		this.notificationHandlerActivity = notificationHandlerActivity;
	}

	public boolean isShareOnFacebook() {
		return shareOnFacebook;
	}

	public void setShareOnFacebook(boolean shareOnFacebook) {
		this.shareOnFacebook = shareOnFacebook;
	}

	public boolean isShareOnTwitter() {
		return shareOnTwitter;
	}

	public void setShareOnTwitter(boolean shareOnTwitter) {
		this.shareOnTwitter = shareOnTwitter;
	}

	public String getTwitterUserAccessToken() {
		return twitterUserAccessToken;
	}

	public void setTwitterUserAccessToken(String twitterUserAccessToken) {
		this.twitterUserAccessToken = twitterUserAccessToken;
	}

	public String getTwitterUserAccessTokenSecret() {
		return twitterUserAccessTokenSecret;
	}

	public void setTwitterUserAccessTokenSecret(String twitterUserAccessTokenSecret) {
		this.twitterUserAccessTokenSecret = twitterUserAccessTokenSecret;
	}

	public String getTwitterConsumerKey() {
		return twitterConsumerKey;
	}

	public void setTwitterConsumerKey(String twitterConsumerKey) {
		this.twitterConsumerKey = twitterConsumerKey;
	}

	public String getTwitterConsumerSecret() {
		return twitterConsumerSecret;
	}

	public void setTwitterConsumerSecret(String twitterConsumerSecret) {
		this.twitterConsumerSecret = twitterConsumerSecret;
	}

    public boolean isContainsAdultContent() {
        return containsAdultContent;
    }

    public void setContainsAdultContent(boolean containsAdultContent) {
        this.containsAdultContent = containsAdultContent;
    }
}