/**
 * **********************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 * <p/>
 * Copyright 2015 Adobe Systems Incorporated
 * All Rights Reserved.
 * <p/>
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 * ************************************************************************
 */

package com.behance.sdk.dto;

import com.behance.sdk.enums.BehanceSDKPublishWIPProgressState;

import java.io.Serializable;

/**
 * @author Sujit Reddy G
 */

public class BehanceSDKPublishWIPStatusDTO implements Serializable {

	private static final long serialVersionUID = 5416163312006141443L;

	public static final String INTENT_ACTION_WIP_PUBLISH_STATUS_BROADCAST = "com.behance.sdk.INTENT_ACTION_WIP_PUBLISH_STATUS_BROADCAST";

    public static final String INTENT_EXTRA_OBJ_KEY_WIP_PUBLISH_STATUS_BROADCAST_DATA = "com.behance.sdk.INTENT_EXTRA_KEY_WIP_PUBLISH_STATUS_BROADCAST_DATA";


    private String publishRequestId;
    private BehanceSDKPublishWIPProgressState progressState;
    private int progressPercentage;

    private int wipId;
    private String wipTitle;
    private int wipRevisionId;
    private String wipRevisionDescription;
    private String wipRevisionUrl;
    private String wipRevisionImageUrl;

    private String errorMessage;
    private Throwable exception;

    public BehanceSDKPublishWIPStatusDTO() {
    }

    public BehanceSDKPublishWIPProgressState getProgressState() {
        return progressState;
    }

    public void setProgressState(BehanceSDKPublishWIPProgressState progressState) {
        this.progressState = progressState;
    }

    public int getWipId() {
        return wipId;
    }

    public void setWipId(int wipId) {
        this.wipId = wipId;
    }

    public String getWipTitle() {
        return wipTitle;
    }

    public void setWipTitle(String wipTitle) {
        this.wipTitle = wipTitle;
    }

    public int getWipRevisionId() {
        return wipRevisionId;
    }

    public void setWipRevisionId(int wipRevisionId) {
        this.wipRevisionId = wipRevisionId;
    }

    public String getWipRevisionDescription() {
        return wipRevisionDescription;
    }

    public void setWipRevisionDescription(String wipRevisionDescription) {
        this.wipRevisionDescription = wipRevisionDescription;
    }

    public String getWipRevisionUrl() {
        return wipRevisionUrl;
    }

    public void setWipRevisionUrl(String wipRevisionUrl) {
        this.wipRevisionUrl = wipRevisionUrl;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public Throwable getException() {
        return exception;
    }

    public void setException(Throwable exception) {
        this.exception = exception;
    }

    public int getProgressPercentage() {
        return progressPercentage;
    }

    public void setProgressPercentage(int progressPercentage) {
        this.progressPercentage = progressPercentage;
    }

    public String getPublishRequestId() {
        return publishRequestId;
    }

    public void setPublishRequestId(String publishRequestId) {
        this.publishRequestId = publishRequestId;
    }

    public String getWipRevisionImageUrl() {
        return wipRevisionImageUrl;
    }

    public void setWipRevisionImageUrl(String wipRevisionImageUrl) {
        this.wipRevisionImageUrl = wipRevisionImageUrl;
    }
}