/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class BehanceSDKShareContentDTO implements Serializable {
	private static final long serialVersionUID = -5162929590101020843L;

	private String title;
	private String longUrlToShare;
	private String shortUrlToShare;
	private String ownerName;
	private String description;
	private String ownerProfileURL;
	private List<String> tags;
	private String id;
	private String coverImageURL;

	public String getTitle() {
		return title;
	}

	public void setTitle(String projectTitle) {
		this.title = projectTitle;
	}

	public String getLongUrlToShare() {
		return longUrlToShare;
	}

	public void setLongUrlToShare(String urlToShare) {
		this.longUrlToShare = urlToShare;
	}

	public String getOwnerName() {
		return ownerName;
	}

	public void setOwnerName(String projectOwnerName) {
		this.ownerName = projectOwnerName;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String projectDescription) {
		this.description = projectDescription;
	}

	public String getOwnerProfileURL() {
		return ownerProfileURL;
	}

	public void setOwnerProfileURL(String projectOwnerProfileURL) {
		this.ownerProfileURL = projectOwnerProfileURL;
	}

	public List<String> getTagsList() {
		return tags;
	}

	public void setTags(List<String> projectTags) {
		this.tags = projectTags;
	}

	public String getTagsString() {
		StringBuilder tagsString = new StringBuilder();
		if (tags != null) {
			for (String tag : tags) {
				tagsString.append(tag);
				tagsString.append(",");
			}
		}
		if (tagsString.length() > 0) {
			tagsString.deleteCharAt(tagsString.length() - 1);
		}
		return tagsString.toString();
	}

	public void setTags(String projectTags) {
		List<String> tagsList = new ArrayList<String>(Arrays.asList(projectTags.split(",")));
		this.tags = tagsList;
	}

	public String getId() {
		return id;
	}

	public void setId(String projectId) {
		this.id = projectId;
	}

	public String getCoverImageURL() {
		return coverImageURL;
	}

	public void setCoverImageURL(String coverImageURL) {
		this.coverImageURL = coverImageURL;
	}

	public String getShortUrlToShare() {
		return shortUrlToShare;
	}

	public void setShortUrlToShare(String shortUrlToShare) {
		this.shortUrlToShare = shortUrlToShare;
	}

}