/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.behance.sdk.dto;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author Sujit Reddy G
 * 
 */
public class BehanceSDKWIPDTO {

	private String title;
	private int id;
	private String description;
	private List<String> tags;
	private Map<String, String> latestRevisionImageUrlsMap;

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public List<String> getTags() {
		return tags;
	}

	public void setTags(List<String> tags) {
		this.tags = tags;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public void setLatestRevisionImageUrl(WIPRevisionImageType imageType, String imageUrl) {
		if (latestRevisionImageUrlsMap == null) {
			latestRevisionImageUrlsMap = new HashMap<String, String>();
		}
		latestRevisionImageUrlsMap.put(imageType.name(), imageUrl);
	}

	public String getLatestRevisionImageUrl(WIPRevisionImageType imageType) {
		return latestRevisionImageUrlsMap.get(imageType.name());
	}

	public enum WIPRevisionImageType {

		THUMBNAIL_SM, THUMBNAIL, NORMAL_RESOLUTION, HIGH_DEFINITION, THUMB_40, THUMB_80, THUMB_120, THUMB_240, LIMIT_320;
	}

}
