/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto.location;

import java.io.Serializable;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKCityDTO extends BehanceSDKLocationDTO implements Comparable<BehanceSDKCityDTO>, Serializable {

	private static final long serialVersionUID = -4491829944206768894L;
	
	public static final String ALL_CITIES_ID = "ALL_CITIES_ID";

	public static final String ALL_CITY_NAME = "All Cities";

	@Override
	public int compareTo(BehanceSDKCityDTO another) {
		if (another != null && this.getDisplayName() != null && another.getDisplayName() != null) {
			return this.getDisplayName().compareTo(another.getDisplayName());
		}
		return 0;
	}

	@Override
	public String toString() {
		return getDisplayName();
	}
}