/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto.location;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKCountryDTO extends BehanceSDKLocationDTO implements Comparable<BehanceSDKCountryDTO>, Serializable {
	
	private static final long serialVersionUID = 8229080965935852144L;

	public static final String WORLD_WIDE_COUNTRY_ID = "WORLD_WIDE_COUNTRY_ID";

	public static final List<String> COUNTRY_CODES_FOR_LOAD_STATES = new ArrayList<String>(2);

	static{
		COUNTRY_CODES_FOR_LOAD_STATES.add("US");
		COUNTRY_CODES_FOR_LOAD_STATES.add("CA");
	}

	
	@Override
	public int compareTo(BehanceSDKCountryDTO another) {
		if (another != null && this.getDisplayName() != null && another.getDisplayName() != null) {
			return this.getDisplayName().compareTo(another.getDisplayName());
		}
		return 0;
	}

	@Override
	public String toString() {
		return getDisplayName();
	}
}