/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto.project;


import com.behance.sdk.R;

import java.io.Serializable;


public class BehanceSDKProjectCopyrightDTO implements Serializable {


	private String licenseType;
	private String licenseDescription;

	public String getLicenseType() {
		return licenseType;
	}

	public void setLicenseType(String licenseType) {
		this.licenseType = licenseType;
	}

	public String getLicenseDescription() {
		return licenseDescription;
	}

	public void setLicenseDescription(String licenseDescription) {
		this.licenseDescription = licenseDescription;
	}

	public int getDisplayNameResourceId() {
		int response = -1;
		if (licenseType != null) {
			if (licenseType.equalsIgnoreCase("no-use")) {
				response = R.string.bsdk_license_no_use_at_all;
			} else if (licenseType.equalsIgnoreCase("cc by")) {
				response = R.string.bsdk_license_cc_by;
			} else if (licenseType.equalsIgnoreCase("cc by-sa")) {
				response = R.string.bsdk_license_cc_by_sa;
			} else if (licenseType.equalsIgnoreCase("cc by-nd")) {
				response = R.string.bsdk_license_cc_by_nd;
			} else if (licenseType.equalsIgnoreCase("cc by-nc")) {
				response = R.string.bsdk_license_cc_by_nc;
			} else if (licenseType.equalsIgnoreCase("cc by-nc-sa")) {
				response = R.string.bsdk_license_cc_by_nc_sa;
			} else if (licenseType.equalsIgnoreCase("cc by-nc-nd")) {
				response = R.string.bsdk_license_cc_by_nc_nd;
			}
		}
		return response;
	}
}
