/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto.project;


import com.behance.sdk.enums.BehanceSDKProjectModuleAlignment;
import com.behance.sdk.enums.BehanceSDKProjectModuleType;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKProjectModuleEmbedDTO extends BehanceSDKAbstractProjectModuleDTO {

	private static final long serialVersionUID = 8255416349782999744L;
	
	private String embedHTML;
	private String captionFormattedText;
	private String captionPlainText;
	private BehanceSDKProjectModuleAlignment captionAlignment;

	public BehanceSDKProjectModuleEmbedDTO() {
		setType(BehanceSDKProjectModuleType.EMBED);
	}
	public String getEmbedHTML() {
		return embedHTML;
	}

	public void setEmbedHTML(String embedHTML) {
		this.embedHTML = embedHTML;
	}

	public String getCaptionFormattedText() {
		return captionFormattedText;
	}

	public void setCaptionFormattedText(String captionFormattedText) {
		this.captionFormattedText = captionFormattedText.replace("<div","<div class=\"caption\">");
	}

	public String getCaptionPlainText() {
		return captionPlainText;
	}

	public void setCaptionPlainText(String captionPlainText) {
		this.captionPlainText = captionPlainText;
	}

	public BehanceSDKProjectModuleAlignment getCaptionAlignment() {
		return captionAlignment;
	}

	public void setCaptionAlignment(String captionAlignment) {
		this.captionAlignment = BehanceSDKProjectModuleAlignment.fromString(captionAlignment);
	}
}
