/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto.project;


import com.behance.sdk.enums.BehanceSDKProjectModuleAlignment;
import com.behance.sdk.enums.BehanceSDKProjectModuleType;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKProjectModuleImageDTO extends BehanceSDKAbstractProjectModuleDTO {
	private static final long serialVersionUID = -5955021798991383472L;

	private String srcUrl;
	private int width;
	private int height;
	private String hdSrcUrl;
    private boolean fullBleed;
	private String captionFormattedText;
	private String captionPlainText;
	private BehanceSDKProjectModuleAlignment captionAlignment;

	public BehanceSDKProjectModuleImageDTO() {
		setType(BehanceSDKProjectModuleType.IMAGE);
	}

	public String getSrcUrl() {
		if (srcUrl != null) {
			return srcUrl;
		} else {
			return "";
		}
	}

	public void setSrcUrl(String srcUrl) {
		this.srcUrl = srcUrl;
	}

	public int getWidth() {
		return width;
	}

	public void setWidth(int width) {
		this.width = width;
	}

	public int getHeight() {
		return height;
	}

	public void setHeight(int height) {
		this.height = height;
	}

	public String getHDSrcUrl() {
		if (hdSrcUrl != null && hdSrcUrl.length() > 0) {
			return hdSrcUrl;
		} else {
			return getSrcUrl();
		}
	}

	public void setHDSrcUrl(String originalSizeUrl) {
		this.hdSrcUrl = originalSizeUrl;
	}

	public boolean isFullBleed() {
		return fullBleed;
	}

	public void setFullBleed(boolean fullBleed) {
		this.fullBleed = fullBleed;
	}

	public String getCaptionFormattedText() {
		return captionFormattedText;
	}

	public void setCaptionFormattedText(String captionFormattedText) {
		this.captionFormattedText = captionFormattedText.replace("<div","<div class=\"caption\"");
	}

	public String getCaptionPlainText() {
		return captionPlainText;
	}

	public void setCaptionPlainText(String captionPlainText) {
		this.captionPlainText = captionPlainText;
	}

	public BehanceSDKProjectModuleAlignment getCaptionAlignment() {
		return captionAlignment;
	}

	public void setCaptionAlignment(String captionAlignment) {
		this.captionAlignment = BehanceSDKProjectModuleAlignment.fromString(captionAlignment);
	}
}