/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto.project;


import com.behance.sdk.enums.BehanceSDKProjectModuleType;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKProjectModuleVideoDTO extends BehanceSDKAbstractProjectModuleDTO {

	private static final long serialVersionUID = 3940509017288235471L;

	private int height;
	private int width;
	private String videoSrc;
	private String imageSrc;
	private String playerUrl;
	private String playerSkin;
	private String embedHTML;

	public BehanceSDKProjectModuleVideoDTO() {
		setType(BehanceSDKProjectModuleType.VIDEO);
	}

	public int getHeight() {
		return height;
	}

	public void setHeight(int height) {
		this.height = height;
	}

	public int getWidth() {
		return width;
	}

	public void setWidth(int width) {
		this.width = width;
	}

	public String getVideoSrc() {
		return videoSrc;
	}

	public void setVideoSrc(String videoSrc) {
		this.videoSrc = videoSrc;
	}

	public String getImageSrc() {
		if (imageSrc != null) {
			return imageSrc;
		} else {
			return "";
		}
	}

	public void setImageSrc(String imageSrc) {
		this.imageSrc = imageSrc;
	}

	public String getPlayerUrl() {
		return playerUrl;
	}

	public void setPlayerUrl(String playerUrl) {
		this.playerUrl = playerUrl;
	}

	public String getPlayerSkin() {
		return playerSkin;
	}

	public void setPlayerSkin(String playerSkin) {
		this.playerSkin = playerSkin;
	}

	public String getEmbedHTML() {
		return embedHTML;
	}

	public void setEmbedHTML(String embedHTML) {
		this.embedHTML = embedHTML;
	}
}
