/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto.search;

import com.behance.sdk.dto.project.BehanceSDKProjectDTO;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKCollectionDTO {

	public static final String ALL_TAGS_ID = "ALL_TAGS_ID";
	public static final int APPRECIATED_PROJECTS_COLLECTION_ID = -200;
	
	private int id;
	private String title;
	private String url;
	private int itemCount;
	private int followersCount;
	private String privacy;
	private long createdTime;
	private long modifiedTime;
	private boolean currentUserFollowing;

	private List<BehanceSDKUserDTO> owners;
	private List<BehanceSDKProjectDTO> latestProjects;

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public int getItemCount() {
		return itemCount;
	}

	public void setItemCount(int itemCount) {
		this.itemCount = itemCount;
	}

	public int getFollowersCount() {
		return followersCount;
	}

	public void setFollowersCount(int followersCount) {
		this.followersCount = followersCount;
	}

	public List<BehanceSDKUserDTO> getOwners() {
		if (owners != null) {
			return owners;
		} else {
			return Collections.emptyList();
		}
	}

	public void setOwners(List<BehanceSDKUserDTO> owners) {
		this.owners = owners;
	}

	public void addOwner(BehanceSDKUserDTO owner) {
		if (owners == null) {
			owners = new ArrayList<BehanceSDKUserDTO>();
		}
		owners.add(owner);
	}

	public String getPrivacy() {
		return privacy;
	}

	public void setPrivacy(String privacy) {
		this.privacy = privacy;
	}

	public long getCreatedTime() {
		return createdTime;
	}

	public void setCreatedTime(long createdTime) {
		this.createdTime = createdTime;
	}

	public long getModifiedTime() {
		return modifiedTime;
	}

	public void setModifiedTime(long modifiedTime) {
		this.modifiedTime = modifiedTime;
	}

	public List<BehanceSDKProjectDTO> getLatestProjects() {
		if (latestProjects != null) {
			return latestProjects;
		} else {
			return Collections.emptyList();
		}
	}

	public void setLatestProjects(List<BehanceSDKProjectDTO> projects) {
		this.latestProjects = projects;
	}

	public void addLatestProject(BehanceSDKProjectDTO project) {
		if (latestProjects == null) {
			latestProjects = new ArrayList<BehanceSDKProjectDTO>();
		}
		latestProjects.add(project);
	}

	public boolean isCurrentUserFollowing() {
		return currentUserFollowing;
	}

	public void setCurrentUserFollowing(boolean currentUserFollowing) {
		this.currentUserFollowing = currentUserFollowing;
	}
}