/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.behance.sdk.dto.search;



import com.behance.sdk.dto.BehanceSDKCreativeFieldDTO;
import com.behance.sdk.dto.location.BehanceSDKCityDTO;
import com.behance.sdk.dto.location.BehanceSDKCountryDTO;
import com.behance.sdk.dto.location.BehanceSDKStateDTO;
import com.behance.sdk.enums.BehanceSDKProjectsSortOption;

import java.io.Serializable;

/**
 * @author ugs
 *
 */
public class BehanceSDKProjectFiltersSelected  implements Serializable{

	
	private static final long serialVersionUID = 4859623646147143654L;

	private BehanceSDKCreativeFieldDTO creativeFieldDTO;
	
	private BehanceSDKCountryDTO countryDTO;
	
	private BehanceSDKStateDTO stateDTO;
	
	private BehanceSDKCityDTO cityDTO;
	
	private BehanceSDKProjectsSortOption projectSortOption;


	private String searchString;

	public String getSearchString() {
		return searchString;
	}

	public void setSearchString(String searchString) {
		this.searchString = searchString;
	}
	
	/**
	 * @return the creativeFieldDTO
	 */
	public BehanceSDKCreativeFieldDTO getCreativeFieldDTO() {
		return creativeFieldDTO;
	}

	/**
	 * @param creativeFieldDTO the creativeFieldDTO to set
	 */
	public void setCreativeFieldDTO(BehanceSDKCreativeFieldDTO creativeFieldDTO) {
		this.creativeFieldDTO = creativeFieldDTO;
	}

	/**
	 * @return the countryDTO
	 */
	public BehanceSDKCountryDTO getCountryDTO() {
		return countryDTO;
	}

	/**
	 * @param countryDTO the countryDTO to set
	 */
	public void setCountryDTO(BehanceSDKCountryDTO countryDTO) {
		this.countryDTO = countryDTO;
	}

	/**
	 * @return the stateDTO
	 */
	public BehanceSDKStateDTO getStateDTO() {
		return stateDTO;
	}

	/**
	 * @param stateDTO the stateDTO to set
	 */
	public void setStateDTO(BehanceSDKStateDTO stateDTO) {
		this.stateDTO = stateDTO;
	}

	/**
	 * @return the cityDTO
	 */
	public BehanceSDKCityDTO getCityDTO() {
		return cityDTO;
	}

	/**
	 * @param cityDTO the cityDTO to set
	 */
	public void setCityDTO(BehanceSDKCityDTO cityDTO) {
		this.cityDTO = cityDTO;
	}

	/**
	 * @return the projectSortOption
	 */
	public BehanceSDKProjectsSortOption getSortOption() {
		return projectSortOption;
	}

	/**
	 * @param projectSortOption the projectSortOption to set
	 */
	public void setSortOption(BehanceSDKProjectsSortOption projectSortOption) {
		this.projectSortOption = projectSortOption;
	}
}
