/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.dto.search;

import android.util.SparseArray;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKWorkInProgressDTO {

	private int id;
	private String url;
	private String title;
	private int revisionCount;
	private String privacy;
	private long createdTime;
	private BehanceSDKWIPStatsDTO stats;
	private SparseArray<BehanceSDKWIPRevisionDTO> revisions;
	private BehanceSDKUserDTO owner;

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public int getRevisionCount() {
		return revisionCount;
	}

	public void setRevisionCount(int revisionCount) {
		this.revisionCount = revisionCount;
	}

	public String getPrivacy() {
		return privacy;
	}

	public void setPrivacy(String privacy) {
		this.privacy = privacy;
	}

	public long getCreatedTime() {
		return createdTime;
	}

	public void setCreatedTime(long createdTime) {
		this.createdTime = createdTime;
	}

	public BehanceSDKWIPStatsDTO getStats() {
		if (stats == null) {
			stats = new BehanceSDKWIPStatsDTO();
		}
		return stats;
	}

	public void setStats(BehanceSDKWIPStatsDTO stats) {
		this.stats = stats;
	}

	public SparseArray<BehanceSDKWIPRevisionDTO> getRevisions() {
		if (revisions == null) {
			revisions = new SparseArray<BehanceSDKWIPRevisionDTO>();
		}
		return revisions;
	}

	public void setRevisions(SparseArray<BehanceSDKWIPRevisionDTO> revisions) {
		this.revisions = revisions;
	}

	public void addRevision(BehanceSDKWIPRevisionDTO revision) {
		if (revisions == null) {
			revisions = new SparseArray<BehanceSDKWIPRevisionDTO>();
		}
		revisions.put(revision.getNumber(), revision);
	}

	public BehanceSDKWIPRevisionDTO getRevision(int revisionNumber) {
		return getRevisions().get(revisionNumber);
	}

	public BehanceSDKUserDTO getOwner() {
		return owner;
	}

	public void setOwner(BehanceSDKUserDTO owner) {
		this.owner = owner;
	}

}