/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.behance.sdk.enums;

import com.behance.sdk.R;

import android.content.Context;


/**
 * @author ugs
 *
 */
public enum BehanceSDKCreativeFieldCategory {
	POPULAR , NONE;

	public static BehanceSDKCreativeFieldCategory fromName(String name) {
		if(name != null) {
			BehanceSDKCreativeFieldCategory[] values = values();
			for (BehanceSDKCreativeFieldCategory creativeFieldCategory : values) {
				if(creativeFieldCategory.name().equalsIgnoreCase(name)) {
					return creativeFieldCategory;
				}
			}
		}
		return null;
	}
	
	public String getString(Context context) {
		switch (this) {
		case POPULAR:
			return context.getString(R.string.bsdk_addproject_creative_fields_popular_category);
		default:
			return NONE.toString();
		}

	}
}
