package com.behance.sdk.enums;

import com.behance.sdk.R;

public enum BehanceSDKProjectsSortOption {

		FEATURED_DATE("featured_date", R.string.bsdk_sort_option_featured, 0), APPRECIATIONS("appreciations", R.string.bsdk_sort_option_most_appreciated, 1), VIEWS(
			"views", R.string.bsdk_sort_option_most_viewed, 2), COMMENTS("comments", R.string.bsdk_sort_option_most_discussed, 3), PUBLISHED_DATE(
				"published_date", R.string.bsdk_sort_option_most_recent, 4), RELEVANCE("relevance", R.string.bsdk_sort_option_most_relevant, 5);

		String actualValue;
		int index;
		private int displayresource;

		BehanceSDKProjectsSortOption(String actualValue, int displayresource, int index) {
			this.actualValue = actualValue;
			this.displayresource = displayresource;
			this.index = index;
		}

		public static BehanceSDKProjectsSortOption fromName(String name) {
			for (BehanceSDKProjectsSortOption value : values()) {
				if (value.name().equalsIgnoreCase(name)) {
					return value;
				}
			}
			return null;
		}

		public static BehanceSDKProjectsSortOption fromName(String name, BehanceSDKProjectsSortOption defaultValue) {
			BehanceSDKProjectsSortOption fromName = fromName(name);
			if (null != fromName)
				return fromName;
			return defaultValue;
		}

		public static BehanceSDKProjectsSortOption fromIndex(int index) {
			for (BehanceSDKProjectsSortOption value : values()) {
				if (value.getIndex() == index) {
					return value;
				}
			}
			return FEATURED_DATE;
		}

		public int getDisplayresource() {
			return displayresource;
		}

		public int getIndex() {
			return index;
		}

		@Override
		public String toString() {
			return actualValue;
		}
	}