package com.behance.sdk.factory;

import com.behance.sdk.project.validator.BehanceSDKProjectImageModuleValidator;
import com.behance.sdk.project.validator.BehanceSDKWIPImageModuleValidator;

/**
 * Created by ugs on 26/06/15.
 */
public class BehanceSDKImageValidatorFactory {

    public static final String PUBLISH_PROJECT_IMAGE_VALIDATOR = "PUBLISH_PROJECT_IMAGE_VALIDATOR";

    public static final String PUBLISH_WIP_IMAGE_VALIDATOR = "PUBLISH_WIP_IMAGE_VALIDATOR";

    public static BehanceSDKImageValidatorFactory getInstance(){
        return new BehanceSDKImageValidatorFactory();
    }

    public IBehanceSDKImageValidator getImageValidator(String type){
        if(PUBLISH_PROJECT_IMAGE_VALIDATOR.equals(type)){
            return new BehanceSDKProjectImageModuleValidator();
        } else if(PUBLISH_WIP_IMAGE_VALIDATOR.equals(type)) {
            return new BehanceSDKWIPImageModuleValidator();
        }
        return null;

    }


}
