/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.behance.sdk.files;

import java.util.ArrayList;
import java.util.List;

import com.behance.sdk.project.modules.ImageModule;

import android.content.Context;
import android.graphics.Bitmap;

/**
 * @author ugs
 * 
 */
public class ImageAlbum {

	private String albumName;
	private List<ImageModule> images;

	/**
	 * @param albumName
	 */
	public ImageAlbum(String albumName) {
		this.albumName = albumName;
	}

	/**
	 * @param localImage
	 */
	public void addImage(ImageModule localImage) {
		if (null == images)
			images = new ArrayList<ImageModule>();
		images.add(localImage);
	}

	/**
	 * @return
	 */
	public String getName() {
		return albumName;
	}

	/**
	 * @param context 
	 * @return
	 */
	public Bitmap getCoverBitmap(Context context) {
		if (null != images){
			ImageModule localImage = images.get(0);
			return localImage.getThumbNail(context);
		}
		return null;
	}

	/**
	 * @return
	 */
	public List<ImageModule> getImages() {
		return images;
	}

}
