/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.behance.sdk.managers;

import android.app.Activity;

import com.behance.sdk.IBehanceSDKUserCredentials;

/**
 * @author Sujit Reddy G
 * 
 */
public class AddWIPManager {

	private static final AddWIPManager INSTANCE = new AddWIPManager();
	
	private boolean hideTwitterSharing;
	private boolean hideFacebookSharing;
	private IBehanceSDKUserCredentials userCredentials;
	private Class<? extends Activity> notificationHandlerActivityClass;

	public static AddWIPManager getInstance() {
		return INSTANCE;
	}

	private AddWIPManager() {
	}

	public IBehanceSDKUserCredentials getUserCredentials() {
		return userCredentials;
	}

	public void setUserCredentials(IBehanceSDKUserCredentials userCredentials) {
		this.userCredentials = userCredentials;
	}

	public Class<? extends Activity> getNotificationHandlerActivityClass() {
		return notificationHandlerActivityClass;
	}

	public void setNotificationHandlerActivityClass(Class<? extends Activity> notificationHandlerActivityClass) {
		this.notificationHandlerActivityClass = notificationHandlerActivityClass;
	}

	public boolean isHideTwitterSharing() {
		return hideTwitterSharing;
	}

	public void setHideTwitterSharing(boolean hideTwitterSharing) {
		this.hideTwitterSharing = hideTwitterSharing;
	}

	public boolean isHideFacebookSharing() {
		return hideFacebookSharing;
	}

	public void setHideFacebookSharing(boolean hideFacebookSharing) {
		this.hideFacebookSharing = hideFacebookSharing;
	}

}