/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.behance.sdk.project.modules;


/**
 * @author ugs
 *
 */
public class EmbedModule extends BaseModule {

	private static final long serialVersionUID = 2336836168618283848L;
	private String embedContentTxt;
	private int order;

	/**
	 * @param embedContentTxt
	 */
	public EmbedModule(String embedContentTxt) {
        //embed content frequently has a src beginning // causing the device to mistakenly look in storage
        if(embedContentTxt.contains("src=\"//"))
            this.embedContentTxt = embedContentTxt.replace("src=\"//", "src=\"http://");
        else
            this.embedContentTxt = embedContentTxt;
	}

	/* (non-Javadoc)
	 * @see com.example.test.modules.ProjectModule#getType()
	 */
	@Override
	public ProjectModuleTypes getType() {
		return ProjectModuleTypes.EMBED;
	}
	
	
	public String getEmbedContent() {
		return embedContentTxt;
	}

	@Override
	public void clear() {
		
	}

	public int getOrder() {
		return order;
	}

	public void setOrder(int order) {
		this.order = order;
	}
	
	public String getDescription() {
		return "Embed "+ order;
	}

	public String getSubDescription() {
		return "m"+order+".behance.net";
	}
}
