/**
 * **********************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 * <p/>
 * Copyright 2015 Adobe Systems Incorporated
 * All Rights Reserved.
 * <p/>
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 * ************************************************************************
 */

package com.behance.sdk.services.binders;

import android.os.Binder;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Sujit Reddy G
 */
public class BehanceSDKPublishWIPBinder extends Binder {

    private List<String> cancelledRequestIdsList;

    public boolean isUploadCancelled(String publishRequestId) {
        if (cancelledRequestIdsList != null && publishRequestId != null &&
                cancelledRequestIdsList.contains(publishRequestId)) {
            return true;
        }
        return false;
    }

    public void cancelUpload(String publishRequestId) {
        if (cancelledRequestIdsList == null) {
            cancelledRequestIdsList = new ArrayList<String>();
        }
        if (publishRequestId != null) {
            cancelledRequestIdsList.add(publishRequestId);
        }
    }
}
