/**
 * **********************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 * <p/>
 * Copyright 2015 Adobe Systems Incorporated
 * All Rights Reserved.
 * <p/>
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 * ************************************************************************
 */

package com.behance.sdk.services.serviceconnections;

import android.content.ComponentName;
import android.content.ServiceConnection;
import android.os.IBinder;
import com.behance.sdk.services.binders.BehanceSDKPublishWIPBinder;

/**
 * Created by Sujit Reddy G
 */
public class BSDKCancelPublishWIPServiceConnection implements ServiceConnection {

    private final String publishRequestId;
    private BehanceSDKPublishWIPBinder binder;

    public BSDKCancelPublishWIPServiceConnection(String publishRequestId) {
        this.publishRequestId = publishRequestId;
    }

    @Override
    public void onServiceConnected(ComponentName name, IBinder service) {
        if (service instanceof BehanceSDKPublishWIPBinder) {
            this.binder = (BehanceSDKPublishWIPBinder) service;
            this.binder.cancelUpload(publishRequestId);
        }
    }

    @Override
    public void onServiceDisconnected(ComponentName name) {
        this.binder = null;
    }
}