package com.behance.sdk.ui.activities;

import android.os.Bundle;
import android.support.v4.app.FragmentActivity;

import com.behance.sdk.R;
import com.behance.sdk.asynctasks.result.BehanceSDKRetrieveAccessTokenFromTwitterTaskResult;
import com.behance.sdk.logger.ILogger;
import com.behance.sdk.logger.LoggerFactory;
import com.behance.sdk.ui.fragments.BehanceSDKLoginToTwitterFragment;

public class BehanceSDKLoginToTwitterActivity extends FragmentActivity implements BehanceSDKLoginToTwitterFragment.Callbacks {

	public static final int TWITTER_ACTIVITY_LOGIN_FAILED = 0;
	public static final int TWITTER_ACTIVITY_LOGIN_SUCCESSFULL = 1;
	public static final int TWITTER_ACTIVITY_NO_NETWORK_CONNECTIVITY = 2;

	private static final ILogger logger = LoggerFactory.getLogger(BehanceSDKLoginToTwitterActivity.class);

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.bsdk_activity_login_user_to_social_client);

		if (savedInstanceState == null) {
			Bundle arguments = new Bundle();
			BehanceSDKLoginToTwitterFragment behanceSDKLoginToTwitterFragment = new BehanceSDKLoginToTwitterFragment();
			behanceSDKLoginToTwitterFragment.setArguments(arguments);
			getSupportFragmentManager()
					.beginTransaction()
					.add(R.id.bsdkLoginUserToSocialClientFragmentContainer, behanceSDKLoginToTwitterFragment,
							BehanceSDKLoginToTwitterFragment.FRAGMENT_TAG_LOGIN_TO_SOCIAL_CLIENT).commit();
			behanceSDKLoginToTwitterFragment.setCallbacks(this);
		}
	}

	@Override
	public void onTwitterAuthenticationSuccess(BehanceSDKRetrieveAccessTokenFromTwitterTaskResult result) {
		setResult(TWITTER_ACTIVITY_LOGIN_SUCCESSFULL);
		finish();
	}

	@Override
	public void onTwitterAuthenticationFailure(Exception e) {
		logger.error("Error while Authenticating User on Twitter. [error: %s]", e.getMessage());
		setResult(TWITTER_ACTIVITY_LOGIN_FAILED);
		finish();
	}
}
