/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.ui.adapters;

import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentStatePagerAdapter;

import com.behance.sdk.ui.fragments.BehanceSDKImageDisplayGifPageItemFragment;
import com.behance.sdk.ui.fragments.BehanceSDKImageDisplayPageItemFragment;


/**
 * Created by forta on 7/9/14.
 */

public class BehanceSDKDisplayImagePagerAdapter extends FragmentStatePagerAdapter {

	private String[] mImageURLsArray;
	private int mNumberOfImages;

	public BehanceSDKDisplayImagePagerAdapter(FragmentManager fm, String[] imageURLsArray) {
		super(fm);
		this.mImageURLsArray = imageURLsArray;
		if (imageURLsArray != null) {
			mNumberOfImages = imageURLsArray.length;
		} else {
			mNumberOfImages = 0;
		}
	}

	@Override
	public int getCount() {
		return mNumberOfImages;
	}

	@Override
	public Fragment getItem(int pos) {
        String url = mImageURLsArray[pos];
        if(url.substring(url.length()-5,url.length()).contains("gif"))
            return BehanceSDKImageDisplayGifPageItemFragment.newInstance(mImageURLsArray[pos], true);
        else
            return BehanceSDKImageDisplayPageItemFragment.newInstance(mImageURLsArray[pos], true);
	}
}