package com.behance.sdk.ui.adapters;


import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import com.behance.sdk.R;
import com.behance.sdk.dto.location.BehanceSDKLocationDTO;

import java.util.List;

public class BehanceSDKLocationFilterListItemArrayAdapter<T> extends ArrayAdapter<T> {

    private final Context context;
    private final List<T> data;
    private BehanceSDKLocationDTO selectedLocationDTO;

    public BehanceSDKLocationFilterListItemArrayAdapter(Context context, BehanceSDKLocationDTO selectedLocationDTO, List<T> values) {
        super(context, R.layout.bsdk_dialog_fragment_location_filter_item_adapter, values);
        this.context = context;
        this.setSelectedLocationDTO(selectedLocationDTO);
        data = values;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        LayoutInflater inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);

        final View rowView = inflater.inflate(R.layout.bsdk_dialog_fragment_location_filter_item_adapter, parent, false);

        TextView locationNameTxtView = (TextView) rowView.findViewById(R.id.bsdkLocationFilterDialogLocationItemTxtView);
        View selectedItemIndicatorImageView = rowView.findViewById(R.id.bsdkLocationFilterDialogLocationItemSelectedIdicatorImageView);

        T genericLocationDTO = data.get(position);
        if (genericLocationDTO instanceof BehanceSDKLocationDTO) {
            BehanceSDKLocationDTO locationDTO = (BehanceSDKLocationDTO) genericLocationDTO;
            locationNameTxtView.setText(locationDTO.getDisplayName());

            if (getSelectedLocationDTO() != null && getSelectedLocationDTO().getDisplayName().equals(locationDTO.getDisplayName()) ) {
                locationNameTxtView.setTextColor(context.getResources().getColor(R.color.bsdk_adobe_blue));
                selectedItemIndicatorImageView.setVisibility(View.VISIBLE);
            } else {
                locationNameTxtView.setTextColor(context.getResources().getColor(R.color.bsdk_location_filter_dialog_location_item_txt_color));
                selectedItemIndicatorImageView.setVisibility(View.INVISIBLE);
            }
        }
        return rowView;
    }

    public BehanceSDKLocationDTO getSelectedLocationDTO() {
        return selectedLocationDTO;
    }

    public void setSelectedLocationDTO(BehanceSDKLocationDTO selectedLocationDTO) {
        this.selectedLocationDTO = selectedLocationDTO;
    }
}
