package com.behance.sdk.ui.adapters;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import com.behance.sdk.R;
import com.behance.sdk.dto.search.BehanceSDKUserDTO;
import com.behance.sdk.util.BehanceSDKImageLoaderUtils;


import java.util.List;

/**
 * Created by forta on 9/17/15.
 */
public class BehanceSDKProjectOwnersListArrayAdapter extends ArrayAdapter<BehanceSDKUserDTO> {
    private Context context;
    private List<BehanceSDKUserDTO> users;
    private int layoutResId;
    private LayoutInflater inflater;

    public BehanceSDKProjectOwnersListArrayAdapter(Context context, int layoutResId, List<BehanceSDKUserDTO> users) {
        super(context, layoutResId, users);
        this.context = context;
        this.layoutResId = layoutResId;
        this.users = users;
        inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        View row = convertView;
        if(row == null) {
            row = inflater.inflate(layoutResId, parent, false);
        }
        ImageView avatar = (ImageView) row.findViewById(R.id.bsdk_projectDetailsOwnersListItemAvatar);
        TextView name = (TextView) row.findViewById(R.id.bsdk_projectDetailsOwnersListItemName);
        avatar.setImageDrawable(null);
        BehanceSDKUserDTO userDTO = users.get(position);
        BehanceSDKImageLoaderUtils.displayImageFromCacheOrLoadFromServer(userDTO.findProfileImageInIncreasingSizeOrder(250).getUrl(), avatar);
        name.setText(userDTO.getDisplayName());
        return row;
    }

}
