package com.behance.sdk.ui.animations;

import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;

import com.facebook.drawee.drawable.DrawableUtils;

public class BehanceSDKCustomProgressDrawable extends Drawable {

    private final Paint paint = new Paint(Paint.ANTI_ALIAS_FLAG);
    private int backgroundColor = 0x500080FF;
    private int color = 0xff0080FF;
    private int level = 0;
    private final int loaderRadius = 40;

    @Override
    protected boolean onLevelChange(int level) {
        this.level = level;
        invalidateSelf();
        return true;
    }

    @Override
    public void setAlpha(int alpha) {
        paint.setAlpha(alpha);
    }

    @Override
    public void setColorFilter(ColorFilter cf) {
        paint.setColorFilter(cf);
    }

    @Override
    public int getOpacity() {
        return DrawableUtils.getOpacityFromColor(paint.getColor());
    }

    @Override
    public void draw(Canvas canvas) {
        drawCircle(canvas, 10000, backgroundColor);
        drawCircle(canvas, level, color);
    }

    private void drawCircle(Canvas canvas, int level, int color) {
        Rect bounds = getBounds();
        paint.setColor(color);
        paint.setStyle(Paint.Style.STROKE);
        paint.setStrokeWidth(10.f);
        RectF rect = new RectF(bounds.centerX() - loaderRadius, bounds.centerY() - loaderRadius, bounds.centerX() + loaderRadius, bounds.centerY() + loaderRadius);
        canvas.drawArc(rect, 0, (int)(360.0*level/10000), false, paint);
    }
}