package com.behance.sdk.ui.animations;

import android.content.Context;
import android.view.View;
import android.view.animation.DecelerateInterpolator;

import com.behance.sdk.R;

/**
 * Created by forta on 11/11/15.
 */
public class BehanceSDKRecyclerItemAnimator {
    private Context context;
    private int lastPos = -1, beginSlideAnimPos = Integer.MAX_VALUE, columns, slideDist;

    public static BehanceSDKRecyclerItemAnimator getInstance(Context context, int columns) {
        return getInstance(context, columns, context.getResources().getDimensionPixelSize(R.dimen.bsdk_recycler_slide_up_anim_dist));
    }

    public static BehanceSDKRecyclerItemAnimator getInstance(Context context, int columns, int slideDist) {
        BehanceSDKRecyclerItemAnimator animator = new BehanceSDKRecyclerItemAnimator();
        animator.context = context;
        animator.columns = columns;
        animator.slideDist = slideDist;
        return animator;
    }

    public void setAnimation(final View viewToAnimate, int position, boolean reanimatePos) {
        setStartSlidePos(viewToAnimate, columns);
        // If the bound view wasn't previously displayed on screen, it's animated
        if (position > lastPos) {
            if(position >= beginSlideAnimPos) {
                viewToAnimate.setTranslationY(slideDist);
                viewToAnimate.animate().translationY(0).setDuration(context.getResources().getInteger(R.integer.bsdk_recycler_slide_up_anim_dur)).setInterpolator(new DecelerateInterpolator(1.1f)).start();
            } else {
                viewToAnimate.setAlpha(0.f);
                viewToAnimate.animate().alpha(1.f).setDuration(context.getResources().getInteger(R.integer.bsdk_recycler_slide_up_anim_dur)).start();
            }
            if(!reanimatePos)
                lastPos = position;
        }
    }

    private void setStartSlidePos(View card, int columns) {
        //TODO make this accurate (at the moment the height is 0 till a view is recycled)
        if(card.getHeight() != 0 && beginSlideAnimPos == Integer.MAX_VALUE) {
            beginSlideAnimPos = columns * (int) Math.ceil((double) context.getResources().getDisplayMetrics().heightPixels / (double) card.getHeight());
        }
    }
}
