/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.behance.sdk.ui.components;

import android.content.Context;
import android.util.AttributeSet;

import com.behance.sdk.ui.components.edge_effect.EdgeEffectScrollView;

/**
 * @author Sujit Reddy G
 * 
 */

public class BehanceSDKCustomVerticalScrollView extends EdgeEffectScrollView {


	private Callbacks callbacks;

	public interface Callbacks {
		public void onCustomScrollViewScrollChanged(int l, int t, int oldl, int oldt);
	}

	public BehanceSDKCustomVerticalScrollView(Context context) {
		super(context);
	}

	public BehanceSDKCustomVerticalScrollView(Context context, AttributeSet attrs) {
		super(context, attrs);
	}

	public BehanceSDKCustomVerticalScrollView(Context context, AttributeSet attrs, int defStyle) {
		super(context, attrs, defStyle);
	}

	@Override
	protected void onScrollChanged(int l, int t, int oldl, int oldt) {
		super.onScrollChanged(l, t, oldl, oldt);
		if(callbacks != null) {
			callbacks.onCustomScrollViewScrollChanged(l, t, oldl, oldt);
		}
	}

	public Callbacks getCallbacks() {
		return callbacks;
	}

	public void setCallbacks(Callbacks callbacks) {
		this.callbacks = callbacks;
	}
}