package com.behance.sdk.ui.components;

import android.content.Context;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.support.v7.widget.StaggeredGridLayoutManager;
import android.util.AttributeSet;


import com.behance.sdk.listeners.BehanceSDKEndlessRecyclerOnScrollListener;
import com.behance.sdk.listeners.IBehanceSDKEndlessScrollRecyclerViewListener;

/**
 * Created by forta on 7/17/15.
 */
public class BehanceSDKEndlessScrollRecyclerView extends RecyclerView {

    private IBehanceSDKEndlessScrollRecyclerViewListener callbackListener;

    private BehanceSDKEndlessRecyclerOnScrollListener listener;

    public BehanceSDKEndlessScrollRecyclerView(Context context) {
        super(context);
    }

    public BehanceSDKEndlessScrollRecyclerView(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    public BehanceSDKEndlessScrollRecyclerView(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
    }

    //must call one of these to make "endless"
    public void initializeScrollListener(StaggeredGridLayoutManager layoutManager) {
        listener = new BehanceSDKEndlessRecyclerOnScrollListener(layoutManager) {
            @Override
            public void onLoadMore(int current_page) {
                loadNextPage();
            }
        };
        addOnScrollListener(listener);
    }
    public void initializeScrollListener(LinearLayoutManager layoutManager) {
        listener = new BehanceSDKEndlessRecyclerOnScrollListener(layoutManager) {
            @Override
            public void onLoadMore(int current_page) {
                loadNextPage();
            }
        };
        addOnScrollListener(listener);
    }

    private void loadNextPage() {
        if(callbackListener != null)
            callbackListener.loadNextPage();
    }

    public void setCallbackListener(IBehanceSDKEndlessScrollRecyclerViewListener callbackListener) {
        this.callbackListener = callbackListener;
    }

    //call when number of elements decreases to ensure that loadNextPage will still be appropriately called
    public void resetScrollCount() {
        if(listener != null)
            listener.resetScrollCount();
    }
}