package com.behance.sdk.ui.components;

import android.content.Context;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.util.AttributeSet;

import com.behance.sdk.R;

/**
 * Created by forta on 1/29/16.
 */
public class BehanceSDKPreCachingLinearLayoutManager extends LinearLayoutManager {

    private int preCacheDist = 0;

    public BehanceSDKPreCachingLinearLayoutManager(Context context) {
        super(context);
        preCacheDist = context.getResources().getDimensionPixelSize(R.dimen.bsdk_layout_manager_pre_cache_distance);
    }

    public BehanceSDKPreCachingLinearLayoutManager(Context context, int orientation, boolean reverseLayout) {
        super(context, orientation, reverseLayout);
        preCacheDist = context.getResources().getDimensionPixelSize(R.dimen.bsdk_layout_manager_pre_cache_distance);
    }

    public BehanceSDKPreCachingLinearLayoutManager(Context context, AttributeSet attrs, int defStyleAttr, int defStyleRes) {
        super(context, attrs, defStyleAttr, defStyleRes);
        preCacheDist = context.getResources().getDimensionPixelSize(R.dimen.bsdk_layout_manager_pre_cache_distance);
    }

    @Override
    protected int getExtraLayoutSpace(RecyclerView.State state) {
        return preCacheDist;
    }

    public void setPreCacheDist(int preCacheDist) {
        this.preCacheDist = preCacheDist;
    }
}
