package com.behance.sdk.ui.components.edge_effect;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;

import com.behance.sdk.R;

public class EdgeEffectListView extends android.widget.ListView {

    public EdgeEffectListView(Context context) {
        this(context, null);
    }

    public EdgeEffectListView(Context context, AttributeSet attrs) {
        this(context, attrs, android.R.attr.listViewStyle);
    }

    public EdgeEffectListView(Context context, AttributeSet attrs, int defStyle) {
        super(new ContextWrapperEdgeEffect(context), attrs, defStyle);
        init(context, attrs, defStyle);
    }

    private void init(Context context, AttributeSet attrs, int defStyle) {
        int color = context.getResources().getColor(R.color.bsdk_overscroll);

        if (attrs != null) {
            TypedArray a = context.obtainStyledAttributes(attrs, R.styleable.BehanceSDKEdgeEffectView, defStyle, 0);
            color = a.getColor(R.styleable.BehanceSDKEdgeEffectView_bsdk_edgeeffect_color, color);
            a.recycle();
        }
        setEdgeEffectColor(color);
    }

    public void setEdgeEffectColor(int edgeEffectColor) {
        ((ContextWrapperEdgeEffect) getContext()).setEdgeEffectColor(edgeEffectColor);
    }
}