package com.behance.sdk.ui.customviews;

import android.content.Context;
import android.graphics.Typeface;
import android.util.AttributeSet;
import android.widget.Button;

import com.behance.sdk.util.BehanceSDKConstants;
import com.behance.sdk.util.BehanceSDKFontUtils;

public class BehanceSDKButton extends Button {

	private static final String FONT_STYLE_ATTR_NAME = "fontStyle";
	
	public BehanceSDKButton(Context context) {
		super(context);
		init(context, null);
	}

	public BehanceSDKButton(Context context, AttributeSet attrs) {
		super(context, attrs);
		init(context, attrs);
	}

	public BehanceSDKButton(Context context, AttributeSet attrs, int defStyle) {
		super(context, attrs, defStyle);
		init(context, attrs);
	}

	@Override
	public void setTypeface(Typeface tf) {
		super.setTypeface(tf);
	}

	@Override
	public void setTypeface(Typeface tf, int style) {
		super.setTypeface(tf, style);
	}
	
	private void init(Context context, AttributeSet attrs) {
		String fontName = null;
		if (attrs != null) {
			fontName = attrs.getAttributeValue(BehanceSDKConstants.BEHANCE_SDK_XMLNS, FONT_STYLE_ATTR_NAME);
		}
		BehanceSDKFontUtils.setAdobeCleanFont(context, this, fontName);
	}
}
