/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.behance.sdk.ui.dialogs;

import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.Window;
import android.widget.EditText;
import android.widget.Toast;

import com.behance.sdk.R;
import com.behance.sdk.managers.BehanceSDKProjectPublishWFManager;
import com.behance.sdk.project.modules.EmbedModule;

/**
 * @author ugs
 *
 */
public class BehanceSDKEmbedModuleDialog  extends Dialog implements OnClickListener{

	
	public BehanceSDKEmbedModuleDialog(Context context) {
		super(context);
	}

	public static BehanceSDKEmbedModuleDialog getInstance(Context context) {
		BehanceSDKEmbedModuleDialog dialogInstance = new BehanceSDKEmbedModuleDialog(context);
		return dialogInstance;
	}

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		setContentView(R.layout.bsdk_dialog_fragment_publish_project_embed_content);
		setCancelable(true);
		View cancelButton = findViewById(R.id.bsdkAddProjectEmbedContentDialogNotOKBtn);
		cancelButton.setOnClickListener(this);
		View okButton = findViewById(R.id.bsdkAddProjectEmbedContentDialogOKBtn);
		okButton.setOnClickListener(this);
	}
	
	@Override
	public void onClick(View v) {
		int viewID = v.getId();
		if(viewID == R.id.bsdkAddProjectEmbedContentDialogNotOKBtn){
			dismiss();
		}else if(viewID == R.id.bsdkAddProjectEmbedContentDialogOKBtn){
			EditText embedContent = (EditText)findViewById(R.id.bsdkAddProjectEmbedContentDialogContentTxt);
			String embedContentTxt = embedContent.getText().toString();
            //Check for valid embed content, better way?
            if(embedContentTxt.length() < 5 || !embedContentTxt.contains("<") || !embedContentTxt.contains(">")) {
                Toast.makeText(getContext(), getContext().getResources().getString(R.string.bsdk_add_project_embed_content_error), Toast.LENGTH_SHORT).show();
            } else {
                BehanceSDKProjectPublishWFManager manager = BehanceSDKProjectPublishWFManager.getInstance();
                manager.addModuleToCurrentProject(new EmbedModule(embedContentTxt));
                dismiss();
            }
		}
		
	}
}
