package com.behance.sdk.ui.dialogs;

import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import com.behance.sdk.R;

public class BehanceSDKLoginToProceedUserDialog extends BehanceSDKGenericAlertDialog implements View.OnClickListener {
	private String messageText;
	private Context context;

	private String getMessageText() {
		return messageText;
	}

	private void setMessageText(String messageText) {
		this.messageText = messageText;
	}

	public BehanceSDKLoginToProceedUserDialog(Context context) {
		super(context);
	}

	public BehanceSDKLoginToProceedUserDialog(Context context, String messageText) {
		super(context);
		setMessageText(messageText);
		this.context = context;
	}

	public static BehanceSDKLoginToProceedUserDialog getLoginToProceedDialogInstance(Context context, String messageText) {
		BehanceSDKLoginToProceedUserDialog dialogInstance = new BehanceSDKLoginToProceedUserDialog(context, messageText);
		dialogInstance.setTitleResourceId(R.string.bsdk_login_to_proceed_dialog_title);
		dialogInstance.setOkBtnLabelResourceId(R.string.bsdk_login_to_proceed_login_button_text);
		dialogInstance.setNotOKBtnLabelResourceId(R.string.bsdk_login_to_proceed_ignore_button_text);
		return dialogInstance;
	}

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		setOnOKBtnClickListener(this);
		setOnNotOKBtnClickListener(this);

		super.onCreate(savedInstanceState);

		TextView loginAlertMessage = (TextView) findViewById(R.id.bsdkGenericAlertDialogBodyTxtView);
		loginAlertMessage.setText(getMessageText());
	}

	@Override
	public void onClick(View clickedView) {
		if (clickedView.getId() == R.id.bsdkGenericAlertDialogNotOKBtn) {
			loginToFollowUserCancelButtonClicked();
		} else if (clickedView.getId() == R.id.bsdkGenericAlertDialogOKBtn) {
			loginToFollowUserLoginButtonClicked();
		}
	}

	private void displayLoginView() {
		if (context != null){

		}
			//BehanceActivityLauncher.launchAdobeLoginActivity(context);
	}

	private void dismissLoginToFollowAlertDialog() {
		dismiss();
	}

	private void loginToFollowUserLoginButtonClicked() {
		displayLoginView();
		dismissLoginToFollowAlertDialog();
	}

	private void loginToFollowUserCancelButtonClicked() {
		dismissLoginToFollowAlertDialog();
	}
}
