package com.behance.sdk.ui.dialogs;

import android.app.Dialog;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.Button;
import android.widget.TextView;

import com.behance.sdk.R;

/**
 * Created by mayajain on 11/16/2015.
 */
public class BehanceSDKUnfollowDialogFragment extends DialogFragment implements View.OnClickListener {
    private View rootView;
    private TextView title;
    private Button unfollowBtn;

    public BehanceSDKUnfollowDialogFragment(){

    }

    @Override
    public void onStart(){super.onStart();}

    @Override
    public void onCreate(Bundle savedInstanceState){
        super.onCreate(savedInstanceState);
    }

    @Override
    public Dialog onCreateDialog(Bundle savedInstanceState){
        Dialog unfollowDialog = super.onCreateDialog(savedInstanceState);
        setStyle(DialogFragment.STYLE_NO_TITLE,R.style.BsdkDialogTheme);
        unfollowDialog.requestWindowFeature(Window.FEATURE_NO_TITLE);
        return unfollowDialog;
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState){
        super.onCreateView(inflater,container,savedInstanceState);
        rootView = inflater.inflate(R.layout.bsdk_dialog_fragment_unfollow,container,false);
        title = (TextView)rootView.findViewById(R.id.bsdk_unfollowDialogTitleTxtView);

        Bundle arguments = getArguments();
        if (arguments == null) {
            arguments = savedInstanceState;
        }
        if (arguments != null) {
            title.setText(arguments.getString("INTENT_EXTRA_MESSAGE"));
        }

        unfollowBtn = (Button)rootView.findViewById(R.id.bsdk_unfollowButton);
        unfollowBtn.setOnClickListener(this);
        return rootView;
    }

    @Override
    public void onPause(){
        super.onPause();
    }

    @Override
    public  void onStop(){
        super.onStop();
    }


    @Override
    public void onClick(View clickedView){
        int i = clickedView.getId();
        if (i == R.id.bsdk_unfollowButton) {
            handleUnfollowClick();

        }
    }

    private void handleUnfollowClick(){
        getTargetFragment().onActivityResult(getTargetRequestCode(),1,getActivity().getIntent());
        dismissAllowingStateLoss();
    }
}
