package com.behance.sdk.ui.fragments;

import android.os.Bundle;
import android.support.v4.app.DialogFragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import com.behance.sdk.R;

/**
 * Created by ugs on 27/01/15.
 */
public class BehanceSDKELWFragment extends DialogFragment {

    private View rootView;
    private View continueButton;
    private View cancelButton;
    private ImageView backButton;
    private EnterpriseUserWarningDialogCallbacks callbacks;

    public interface EnterpriseUserWarningDialogCallbacks {

        public void onContinueButtonPressed();
        public void onCancelButtonPressed();
        public void onBackButtonPressed();

    }

    public void setCallbacks(EnterpriseUserWarningDialogCallbacks callbacks){
        this.callbacks = callbacks;
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setStyle(DialogFragment.STYLE_NO_FRAME, R.style.BsdkEnterpriseLoginWarningTheme);
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {

        rootView = inflater.inflate(R.layout.bsdk_dialog_fragment_enterprise_login_warning_for_publish, container, false);
        continueButton = rootView.findViewById(R.id.bsdkEnterpriseLoginWarningContinueButton);
        cancelButton = rootView.findViewById(R.id.bsdkEnterpriseLoginWarningCancelButton);
        backButton = (ImageView)rootView.findViewById(R.id.bsdkPublishProjectTitlebarBackBtnImageView);
        continueButton.setOnClickListener(new View.OnClickListener(){
            @Override
            public void onClick(View v) {
                dismiss();
                if(null != callbacks)
                    callbacks.onContinueButtonPressed();
            }
        });
        cancelButton.setOnClickListener(new View.OnClickListener(){
            @Override
            public void onClick(View v) {
                dismiss();
                if(null != callbacks)
                    callbacks.onCancelButtonPressed();
            }
        });
        backButton.setOnClickListener(new View.OnClickListener(){
            @Override
            public void onClick(View v) {
                dismiss();
                if(null != callbacks)
                    callbacks.onBackButtonPressed();
            }
        });

        TextView titleText = (TextView)rootView.findViewById(R.id.bsdkPublishProjectTitlebarTitleTxtView);
        titleText.setText(R.string.bsdk_enterprise_login_warning_actionbar_title);
        View actionText = rootView.findViewById(R.id.bsdkPublishProjectTitlebarActionBtnTxtView);
        actionText.setVisibility(View.GONE);
       return rootView;
    }



}
