package com.behance.sdk.ui.fragments;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;

import com.behance.sdk.R;

/**
 * Created by forta on 8/19/14.
 */
public class BehanceSDKImageDisplayGifPageItemFragment extends Fragment {

    private static final String ARG_URL = "ARG_URL";
    private static final String ARG_ZOOM = "ARG_ZOOM";

    public static BehanceSDKImageDisplayGifPageItemFragment newInstance(String url, boolean zoomEnabled) {
        BehanceSDKImageDisplayGifPageItemFragment imageFragment = new BehanceSDKImageDisplayGifPageItemFragment();
        Bundle args = new Bundle();
        args.putString(ARG_URL, url);
        args.putBoolean(ARG_ZOOM, zoomEnabled);
        imageFragment.setArguments(args);
        return imageFragment;
    }
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        ViewGroup rootView = (ViewGroup) inflater.inflate(R.layout.bsdk_adapter_image_display_gif_item, container, false);
        String imageUrl = getArguments().getString(ARG_URL);
        WebView imageView = (WebView)rootView.findViewById(R.id.bsdk_imageDisplayGif);
        String mime = "text/html";
        String encoding = "utf-8";
        WebSettings settings = imageView.getSettings();
        settings.setJavaScriptEnabled(true);
        settings.setBuiltInZoomControls(true);
        settings.setDisplayZoomControls(false);
        settings.setSupportZoom(getArguments().getBoolean(ARG_ZOOM,false));

        String html = "<html>\n" +
                "    <head>\n" +
                "        <style>\n" +
                "\t\t\thtml, body, #container { width:100%; height:100%; padding:0; margin:0; }\n" +
                "\t\t\tbody {width:100%; height:100%; }\n" +
                "            #container { position:absolute; left:0; top:0; width:100%; height:100%; background:#000000; background-size: contain; background-repeat: no-repeat; background-position: center center }\n" +
                "        </style>\n" +
                "    </head>\n" +
                "    <body>\n" +
                "        <div id=\"container\" style=\"background-image:url(\\" +
                imageUrl +
                ")\">\n" +
                "        </div>\n" +
                "    </body>\n" +
                "</html>";

        final View loader = rootView.findViewById(R.id.bsdk_gifImageDisplayActivityProgressSpinnerWrapper);

        imageView.setWebViewClient(new WebViewClient() {

            public void onPageFinished(WebView view, String url) {
                loader.setVisibility(View.GONE);
            }
        });

        imageView.loadDataWithBaseURL(null, html, mime, encoding, null);

        return rootView;
    }
}