package com.behance.sdk.util;

import android.content.Context;
import android.util.DisplayMetrics;

import com.behance.sdk.R;

/**
 * Created by forta on 11/7/14.
 */
public class BehanceSDKColumnCountUtil {
    //Approximate column width in inches
    private static final double tabletProjectActivityColumnWidth = 1.75;
    private static final double phoneProjectActivityColumnWidth = 1.5;

    public static int getDiscoverProjectColumnCount(Context context) {
        if(context.getResources().getBoolean(R.bool.bsdk_big_screen)) {
            DisplayMetrics dm = context.getResources().getDisplayMetrics();
            return getColumnCount(dm, tabletProjectActivityColumnWidth);
        } else {
            DisplayMetrics dm = context.getResources().getDisplayMetrics();
            return getColumnCount(dm, phoneProjectActivityColumnWidth);
        }
    }

    public static int getDiscoverWIPColumnCount(Context context) {
        if(context.getResources().getBoolean(R.bool.bsdk_big_screen)) {
            DisplayMetrics dm = context.getResources().getDisplayMetrics();
            return getColumnCount(dm, tabletProjectActivityColumnWidth);
        } else {
            DisplayMetrics dm = context.getResources().getDisplayMetrics();
            return getColumnCount(dm, phoneProjectActivityColumnWidth);
        }
    }

    public static int getDiscoverPeopleCollectionsColumnCount(Context context) {
        return 1;
    }

    public static int getActivityColumnCount(Context context) {
        if(context.getResources().getBoolean(R.bool.bsdk_big_screen)) {
            DisplayMetrics dm = context.getResources().getDisplayMetrics();
            return getColumnCount(dm, tabletProjectActivityColumnWidth);
        } else {
            DisplayMetrics dm = context.getResources().getDisplayMetrics();
            return getColumnCount(dm, phoneProjectActivityColumnWidth);
        }
    }

    private static int getColumnCount(DisplayMetrics dm, double columnWidth) {
        int width = dm.widthPixels;
        double wi = (double)width/(double)dm.xdpi;
        return (int) Math.round(wi/columnWidth);
    }
}
