/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.behance.sdk.util;

/**
 * @author ugs
 * 
 */
public interface BehanceSDKConstants {

	int LOG_LEVEL = 2;

	// uncomment these to enable Stage Environment
//	String ADOBE_API_SERVER_ROOT_URL = "https://cc-api-behance-stage.adobe.io";
	// end of uncomment these to enable Stage Environment

	// uncomment these to enable Prod Environment
	String ADOBE_API_SERVER_ROOT_URL = "https://cc-api-behance.adobe.io";
	// end of uncomment these to enable Prod Environment

	public static final String BEHANCE_API_CLIENT_ID = "BehanceAndroid1";


	String ADOBE_API_CLIENT_ID_PARAM = "api_key";

	float CONTENT_VIEW_WIDTH_PERCENTAGE = 0.8f;

	int WIP_IMAGE_MIN_WIDTH = 640;

	int WIP_IMAGE_MIN_HEIGHT = 320;

	int WIP_TITLE_MAX_LENGTH = 55;

	long WIP_IMAGE_MAX_SIZE_BYTES = 12 * 1024 * 1024;

	long PROJECT_IMAGE_MODULE_MAX_SIZE_BYTES = 8 * 1024 * 1024;

	int PROJECT_TITLE_MAX_LENGTH = 55;

	int PROJECT_DESC_MAX_LENGTH = 65535;

	String PROJECT_IMAGE_MODULE_MAX_SIZE_BYTES_STR = (BehanceSDKConstants.PROJECT_IMAGE_MODULE_MAX_SIZE_BYTES / (1024 * 1024)) + " MB";

	String TAG_CLIENT_SIDE_SEPERATOR = ",";

	String TAG_SERVER_SIDE_SEPERATOR = "|";

	String BEHANCE_SDK_XMLNS = "http://schemas.android.com/apk/com.behance.sdk";

	int NOTIFICATION_ID_PUBLISH_WIP_IN_PROGRESS = 1001;

	int NOTIFICATION_ID_PUBLISH_WIP_COMPLETE = 1002;

	int NOTIFICATION_ID_PUBLISH_PROJECT_IN_PROGRESS = 2001;

	int NOTIFICATION_ID_PUBLISH_PROJECT_COMPLETE = 2002;
	
	int HARDWARE_RENDERING_MAX_SIZE = 2048;

	// String constants

	String EMPTY_STRING = "";
	public static final String REPORT_PROJECT_SPAM_EMAIL_ID = "mobilereport@behancenetwork.zendesk.com";

	public static final String BEHANCE_DOMAIN_NAME = "www.behance.net";



}
