/*************************************************************************
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by all applicable intellectual property 
 * laws, including trade secret and copyright laws.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.behance.sdk.util;

import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentTransaction;

import com.behance.sdk.BehanceSDKImageSelectorOptions;
import com.behance.sdk.ui.fragments.BehanceSDKImageSelectorDialogFragment;
import com.behance.sdk.ui.fragments.BehanceSDKImageSelectorDialogFragment.Callbacks;

/**
 * @author ugs
 * 
 */
public class BehanceSDKLaunchUtil {

	public static void launchAlbumsViewToPickPicture(Callbacks callbacks, BehanceSDKImageSelectorOptions options, FragmentManager fragmentManager, String fragmentTag ) {
		BehanceSDKImageSelectorDialogFragment selectImageDialog = BehanceSDKImageSelectorDialogFragment.getInstance(callbacks, options);
		FragmentTransaction fragmentTransaction = fragmentManager.beginTransaction();
		Fragment previousInstance = fragmentManager.findFragmentByTag(fragmentTag);
		if (previousInstance != null) {
			fragmentTransaction.remove(previousInstance);
		}
		selectImageDialog.show(fragmentTransaction, fragmentTag);
	}
	

	
}
